TON DocsTON Docs
OnboardingNodesApplicationsAPIsContractsSmart contractsTolkTolk languageTVMTON Virtual MachineFoundationsBlockchain foundations

Get validator complaints

GET
/api/v3/validators/complaints

Return validator complaints that match the specified filters.

Authorization

X-API-Key<token>

API key header of the form X-API-Key: <token>, where <token> is the API key. Requests without a key are limited to 1 RPS. Refer to the authentication guide for details.

In: header

Query Parameters

cycle_start?integer

Validator cycle start time.

election_id?integer

Elector election ID.

stake_holder_address?string

Stakeholder address in any form.

adnl_address?string

ADNL address in hex, base64, or base64url form.

validator_pubkey?string

Validator public key in hex, base64, or base64url form.

start_utime?integer

Query complaints with created_at at or after the specified timestamp.

end_utime?integer

Query complaints with created_at at or before the specified timestamp.

limit?integer

Limit the number of rows to return.

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/api/v3/validators/complaints"
{
  "address_book": {
    "property1": {
      "domain": "string",
      "interfaces": [
        "string"
      ],
      "user_friendly": "string"
    },
    "property2": {
      "domain": "string",
      "interfaces": [
        "string"
      ],
      "user_friendly": "string"
    }
  },
  "complaints": [
    {
      "adnl_addr": "string",
      "approved_percent": 0,
      "complaint_hash": "PJI18TRG8OZhVPZNN7epvMb25yZivlGQvVj9LC8omOg=",
      "created_at": 0,
      "cycle_start": 0,
      "description_boc": "string",
      "election_id": 0,
      "is_passed": true,
      "paid": "string",
      "reward_address": "string",
      "severity": 0,
      "stake_holder_address": "string",
      "suggested_fine": "string",
      "suggested_fine_part": 0,
      "validator_pubkey": "string",
      "voted_validators": [
        {
          "adnl_addr": "string",
          "validator_index": 0,
          "validator_pubkey": "string",
          "weight": "string"
        }
      ],
      "vset_id": "REenLSr+rc8TCU/oc7Hcwburz3bMdA+DJzGA1PAHSes=",
      "weight_remaining": "0"
    }
  ]
}
{
  "error": "string"
}
{
  "error": "string"
}